/* 
File: assets/js/frontend.js
Description: JS Script for Frontend
Plugin: Smart Adv
Author: Alessio Marzo
*/

jQuery(function($){
$(window).load(function(){ 

	
	// TOOLTIPS
	$('.tooltip').each(function() {
		
		var tag = $(this).data('tag');
		
		
		$(this).qtip({ // Grab all elements with a non-blank data-tooltip attr.
		
		content: {
			text: $('.'+tag).first().clone(), // Tell qTip2 to look inside this attr for its content
			title: $('.'+tag).data('title'),
        	button: 'Close'
		},
		
		hide: {
			fixed: true,
			delay: 500,
			effect: function(offset) {
				$(this).slideUp(200); // "this" refers to the tooltip
			}
   		},
		
		style: { 
			classes: $('.'+tag).data('styling') 
		},
		
		position: {
        	viewport: $(window)
    	}
		
	});
		
	});
	

	// POPUPS
	var cryptPage = $().crypt({
                method: "md5",
                source: $(location).attr('href')
    });
	
	var cookieName = 'smartadv_' + cryptPage;
	
	
	if( $('#myModal').length ) {
		
		if ( statusHtmlStorage(cookieName) == 0 ) {
			
			var expiration = $('#myModal').data('expiration'), animation = $('#myModal').data('animation'), speed = $('#myModal').data('speed');
			
			setHtmlStorage(cookieName, 1, expiration);
			
			$('#myModal').reveal({
			 animation: animation,                   //fade, fadeAndPop, none
			 animationspeed: speed,                       //how fast animtions are
			 closeonbackgroundclick: true,              //if you click background will modal close?
			 dismissmodalclass: 'close-reveal-modal'    //the class of a button or element that will close an open modal
			});
		
		}
	
	}
	

});
});
