<?php
/*
File: inc/install.php
Description: Install functions
Plugin: Smart Adv
Author: Alessio Marzo
*/


//***************************************************************************
// Plugin INIT
//***************************************************************************


add_action('init', 'sa_init');

function sa_init() {
	
	// Language
	load_plugin_textdomain('sa', false, SA_DIR . '/languages/'); 
	
	// Shorts in widgets
	add_filter( 'widget_text', 'do_shortcode' );
	
}

// FUNCTIONS
require_once(SA_DIR.'inc/functions.php'); 

// ASSETS
require_once(SA_DIR.'inc/assets.php');

// POST TYPES
require_once(SA_DIR.'inc/posttypes/advertises.php');
require_once(SA_DIR.'inc/posttypes/advertises-settings.php');

// META BOXES
require_once(SA_DIR.'inc/metaboxes.php');

// SHORTCODES
require_once(SA_DIR.'inc/shortcodes.php');

// UPDATE LIBRARY
require_once(SA_DIR.'inc/update-notifier.php');